import type { BrowserSafeApis, ChromiumOptions, ToOptions, VideoConfig } from '@remotion/serverless-client';
import type { AwsRegion } from './regions';
export type GetCompositionsOnLambdaInput = {
    chromiumOptions?: ChromiumOptions;
    region: AwsRegion;
    inputProps: Record<string, unknown>;
    functionName: string;
    serveUrl: string;
    envVariables?: Record<string, string>;
    forceBucketName?: string;
    /**
     * @deprecated in favor of `logLevel`: true
     */
    dumpBrowserLogs?: boolean;
    forcePathStyle?: boolean;
} & Partial<ToOptions<typeof BrowserSafeApis.optionsMap.getCompositionsOnLambda>>;
export type GetCompositionsOnLambdaOutput = VideoConfig[];
export declare const getCompositionsOnLambda: ({ chromiumOptions, serveUrl, region, inputProps, functionName, envVariables, logLevel, timeoutInMilliseconds, forceBucketName: bucketName, dumpBrowserLogs, offthreadVideoCacheSizeInBytes, forcePathStyle, }: GetCompositionsOnLambdaInput) => Promise<GetCompositionsOnLambdaOutput>;
